import java.awt.*;
import java.awt.geom.*;

/**
 * behandelt die wesentlichen Methoden fr einen Kreis
 * 
 * @author  Bernd J. Krmer 
 * @version 10.01.2004 (nach shapes von Kolling, Barnes)
 */

public class Kreis extends GeoFigur
{
    private int radius;
    
    /**
     * Erzeuge eine Standardkreis
     */
    public Kreis()
    {
        radius = 30/2;
        xPosition = 20;
        yPosition = 60;
    } 

    /**
     * Change the size to the new size (in pixels). Size must be >= 0.
     */
    public void groesseVeraendern(int neuerRadius)
    {
        loescheAnzeige();
        radius = neuerRadius;
        anzeigen();
    }

    /*
     * Zeige den Kreis auf der Zeichenflche an
     */
    public void anzeigen()
    {
        Canvas canvas = Canvas.getCanvas();
        canvas.draw(this, farbe, new Ellipse2D.Double(xPosition, yPosition, 
                                               radius * 2, radius * 2));
        canvas.wait(10);
    }
}
