import java.awt.*;

/**
 * A square that can be manipulated and that draws itself on a canvas.
 * 
 * @author	Michael Kolling and David J. Barnes
 * @version 1.0  (15 July 2000)
 */

public class Rechteck extends GeoFigur
{ 
    private int laenge;
	private int breite;

    /**
     * Erzeuge ein Stabdardrechteck
     */
    public Rechteck() 
    {
		laenge = 40;
		breite = 30;
		xPosition = 60;
		yPosition = 50;
    }

    /**
     * Gre verndern; die Angaben zu Hhe und 
     * Breite mssen positive Ganzzahlen sein
     */
    public void groesseVeraendern(int neueLaenge, int neueBreite)
    {
		loescheAnzeige();
		laenge = neueLaenge;
		breite = neueBreite;
		anzeigen();
    }

	/*
	 * Draw the square with current specifications on screen.
	 */
	public void anzeigen()
	{
		Canvas canvas = Canvas.getCanvas();
		canvas.draw(this, farbe,
						new Rectangle(xPosition, yPosition, laenge, breite));
		canvas.wait(10);
	}
}
