import java.awt.*;

/**
 * Ein Dreieck wird gezeichnet und angezeigt
 * 
 * @author	Bernd J. Krmer
 * @version 1.0  10.01.2004 (nach shapes von Kolling und Barnes)
 */

public class Dreieck extends GeoFigur
{
    private int hoehe;
    private int grundseite;

    /**
     * Erzeuge ein Dreieck mit Standardfarbe.
     */
    public Dreieck()
    {
		hoehe = 30;
		grundseite = 40;
		xPosition = 50;
		yPosition = 15;
    }

	/*
	 * Zeige das Dreieck auf der Zeichenflche an
	 */
	public void anzeigen()
	{
	    Canvas canvas = Canvas.getCanvas();
		int[] xpunkte = {xPosition, 
		                 xPosition + (grundseite/2), 
		                 xPosition - (grundseite/2)};
		int[] ypunkte = {yPosition, 
		                 yPosition + hoehe, 
		                 yPosition + hoehe};
			canvas.draw(this, farbe, new Polygon(xpunkte, ypunkte, 3));
			canvas.wait(10);
	}
	
	/*
	 * Verndere die Gre dss Dreiecks durch Angabe einer 
	 * neuen Grunseite und Hhe
	 */
	public void groesseVeraendern(int neueGrundseite, int neueHoehe)
	{
		 loescheAnzeige();
		 grundseite = neueGrundseite; 
		hoehe = neueHoehe;	
		anzeigen();
	}
}
