
/**
 * Diese Klasse verstt gegen verschiedene Vererbungsregeln
 * 
 * @author Bernd J. Krmer
 * @version 10.01.2004
 */
public class UberpruefeVererbungsregeln
{
	private Dreieck dreieck;
	private Kreis kreis;
	private Rechteck rechteck;
	private GeoFigur geoFigur;
	
	/**
	 * Constructor for objects of class UberpruefeVererbungsregeln
	 */
	public UberpruefeVererbungsregeln()
	{
		dreieck = new Dreieck();
		kreis = new Kreis();
		rechteck = new Rechteck();
		geoFigur = new Kreis();
//		dreieck.anzeigen();
//		kreis.anzeigen();
//		rechteck.anzeigen();
	}

	/**
	 * Diese Methode enthlt Ausdrcke und Anweisungen, 
	 * die gegen verschiedene Vererbungsregeln verstoen
	 */
	public void verschiedeneAusdrueckeUndAnweisungen()
	{
	    Kreis neuerKreis = (Kreis) geoFigur;           //  1
	    geoFigur.verschieben(30,30);                   //  2
		geoFigur.umfaerben("rot");                     //  3
	    geoFigur = new Dreieck();                      //  4
		geoFigur.umfaerben("gruen");                   //  5
		geoFigur.anzeigen();                           //  6
		((Dreieck) geoFigur).groesseVeraendern(60,20); //  7
		dreieck = (Dreieck) geoFigur;                  //  8
		dreieck.verschieben(70,0);                     //  9
		geoFigur = new Rechteck();                     // 10
		geoFigur.umfaerben("blau");                    // 11
		((Rechteck) geoFigur).groesseVeraendern(80,40);// 12
	}
}
